Fetch filters for grid
Get all saved filters available for the selected grid.
Path Parameters
- gridId int32 required
Responses
- 200
OK
- application/json
- Schema
- Example (from schema)
Schema
filters object[]
Saved filters available for the requested grid.
filterId int32Unique identifier of the saved filter.
filterName stringDisplay name of the saved filter.
rules object[]
Rule conditions applied when this filter is used.
filterBy stringGrid field name used for this filter condition.
condition stringComparison operator used to evaluate the field value.
value stringValue to compare against for this filter condition.
associations object[]
Users and groups who can access this filter.
id int32This gives Id of user or user group or external user group
name stringThis gives name of user or user group or external user group
type UserAndUserGroupsTypePossible values: [
USER,USER_GROUP,EXTERNAL_USER_GROUP]Tells what kind of user or user group it is
isCreator booleanIndicates whether the current user created this filter.
{
"filters": [
{
"filterId": 0,
"filterName": "string",
"rules": [
{
"filterBy": "string",
"condition": "string",
"value": "string"
}
],
"associations": [
{
"id": 0,
"name": "string",
"type": "USER"
}
],
"isCreator": true
}
]
}
Loading...